[已解决][问题]chmsee打不开chm文件(网上的招试过没用)

为当前最终发行版之前的所有版本提供支持
回复
wangjunhuashuo
帖子: 118
注册时间: 2008-06-02 16:30
送出感谢: 0
接收感谢: 0

[已解决][问题]chmsee打不开chm文件(网上的招试过没用)

#1

帖子 wangjunhuashuo » 2008-06-13 12:51

安装后chmsee不能运行,有以下的错误:
pppboy@boypc:~$ chmsee
chmsee: error while loading shared libraries: libxul.so: cannot open shared object file: No such file or directory
网上找了很多内容,看到有很多说用下面的命令就可以了:
cd /usr/lib
sudo ln -s xulrunner-1.9b5/libxul.so libxul.so
sudo ln -s xulrunner-1.9b5/libxpcom.so libxpcom.so
sudo ln -s xulrunner-1.9b5/libsqlite3.so libsqlite3.so
sudo ln -s xulrunner-1.9b5/libmozjs.so libmozjs.so
试了一次,没有成功。然后又试了N次,都提示文件已经存在了。可以我的chm文件就是打不开。
还请知道的侠士指点指点!不胜感激!
上次由 wangjunhuashuo 在 2008-06-16 15:05,总共编辑 1 次。
头像
aiikii
帖子: 268
注册时间: 2008-03-05 23:45
送出感谢: 2 次
接收感谢: 0

#2

帖子 aiikii » 2008-06-13 12:55

我装了几个chm的软件,最好用的就是firefox插件那个了。
别的都出过问题,或乱码或打不开。
hardnature
帖子: 34
注册时间: 2007-08-28 20:59
送出感谢: 0
接收感谢: 0

#3

帖子 hardnature » 2008-06-13 12:58

firefox的Chm插件对中文的支持算是最好的了
其他软件总是有这样或那样的问题
ryo_loach
帖子: 18
注册时间: 2008-01-27 10:51
送出感谢: 0
接收感谢: 0

#4

帖子 ryo_loach » 2008-06-13 12:58

1. 直接在新立得安装~~(不用演示了吧)
2. 启动不了(我这里是这样), 报错如下:
zuii@william-desktop:~$ chmsee
chmsee: error while loading shared libraries: libxul.so: cannot open shared object file: No such file or directory

3. 解决办法:(大家举一反三哦)
zuii@william-desktop:~$ sudo find / -name libxul.so -print
[sudo] password for zuii:
/usr/lib/xulrunner-1.9b5/libxul.so #找到libxul.so库在叉叉地方

AND THEN:
zuii@william-desktop:/etc$ sudo vi /etc/ld.so.conf
在这里面添加一行/usr/lib/xulrunner-1.9b5 (也就是库的路径),
我的这个文件修改后是这样的:
include /etc/ld.so.conf.d/*.conf
/usr/lib/xulrunner-1.9b5

AND THEN:
zuii@william-desktop:~$ sudo /sbin/ldconfig #使刚才的配置生效

AND LAST:
zuii@william-desktop:~$ chmsee #运行正常
这是网上一位大大的解决方法,我试过,很有效,可惜不记得网址了。。还好收藏过,现推荐给楼主[/quote]
头像
kissdb
帖子: 578
注册时间: 2008-03-28 10:18
来自: 淮安and徐州
送出感谢: 1 次
接收感谢: 3 次
联系:

#5

帖子 kissdb » 2008-06-13 12:59

要下载最新的chmsee,有些chm还是报错
忘了是在哪篇文章看到的了
今天下午和一群女的聊天,突然有人说我不是男人。
我火了,我说,你说我不是,我掏出来给你看。
女生都笑了,有一个最牛,说,你掏啊……
于是我就把身份证掏出来了。
wangjunhuashuo
帖子: 118
注册时间: 2008-06-02 16:30
送出感谢: 0
接收感谢: 0

#6

帖子 wangjunhuashuo » 2008-06-13 13:21

四楼的引用我也看到过了,试了,因为是刚刚接触这个系统,知道的很少,所以有些不明白,库文件的路径是什么呀,从哪里可以得到这个信息。他这个说的也许懂的人一看就明白了,可以我看不明白。如果侠士肯帮忙说的明白一些,我将非常的感谢!谢谢大家的关注!
wangjunhuashuo
帖子: 118
注册时间: 2008-06-02 16:30
送出感谢: 0
接收感谢: 0

#7

帖子 wangjunhuashuo » 2008-06-13 13:25

firefox的插件是叫chmreader吗?这个我不知道从哪里装,从新里得里用“ChmReader”找到了一个叫什么e-book reader的东东,装上以后还是不行呀。
氢离子
帖子: 113
注册时间: 2007-09-26 9:00
送出感谢: 0
接收感谢: 0

#8

帖子 氢离子 » 2008-06-13 16:51

重装一下xulrunner,要1.8的版本。
owwbu
帖子: 614
注册时间: 2006-11-15 14:14
送出感谢: 0
接收感谢: 1 次

#9

帖子 owwbu » 2008-06-13 17:03

sudo ln -s xulrunner-1.9b5/libxul.so libxul.so
sudo ln -s xulrunner-1.9b5/libxpcom.so libxpcom.so
sudo ln -s xulrunner-1.9b5/libsqlite3.so libsqlite3.so
sudo ln -s xulrunner-1.9b5/libmozjs.so libmozjs.so


如果是官方源更新的话,那么现在xulrunner应该是1.9而不是1.9b5了。
tianyi
帖子: 114
注册时间: 2008-01-19 15:10
送出感谢: 0
接收感谢: 0

#10

帖子 tianyi » 2008-06-14 0:08

楼上正解,路径是会变的哦,以后你升级系统可能chmse又不能用了。
头像
kissdb
帖子: 578
注册时间: 2008-03-28 10:18
来自: 淮安and徐州
送出感谢: 1 次
接收感谢: 3 次
联系:

#11

帖子 kissdb » 2008-06-14 0:43

chmsee升级后有点不好用了 老是错误
今天下午和一群女的聊天,突然有人说我不是男人。
我火了,我说,你说我不是,我掏出来给你看。
女生都笑了,有一个最牛,说,你掏啊……
于是我就把身份证掏出来了。
wangjunhuashuo
帖子: 118
注册时间: 2008-06-02 16:30
送出感谢: 0
接收感谢: 0

#12

帖子 wangjunhuashuo » 2008-06-14 12:15

一位前辈给了一条代码

代码: 全选

sudo apt-get install kpdf gnochm
连pdf也地块搞定了。
头像
yjcong
帖子: 2470
注册时间: 2006-02-28 3:11
送出感谢: 0
接收感谢: 0

#13

帖子 yjcong » 2008-06-14 13:05

wangjunhuashuo 写了:firefox的插件是叫chmreader吗?这个我不知道从哪里装,从新里得里用“ChmReader”找到了一个叫什么e-book reader的东东,装上以后还是不行呀。
https://addons.mozilla.org/en-US/firefo ... hm&cat=all
头像
HuntXu
论坛版主
帖子: 5778
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

#14

帖子 HuntXu » 2008-06-14 13:08

如果自己编译的chmsee会不会应该ln到/usr/local/lib下...
HUNT Unfortunately No Talent...
wangjunhuashuo
帖子: 118
注册时间: 2008-06-02 16:30
送出感谢: 0
接收感谢: 0

#15

帖子 wangjunhuashuo » 2008-06-16 15:05

感谢大家,在大家的帮助下,问题已经解决了,其实就是你们说的那样。
回复

回到 “老旧版本支持”